import DashboardController from './DashboardController'
import WorkspaceController from './WorkspaceController'
import UserController from './UserController'
import AgentController from './AgentController'
import ConversationController from './ConversationController'
import LeadController from './LeadController'
import SearchController from './SearchController'
import UsageController from './UsageController'
import SubscriptionController from './SubscriptionController'
import PlanController from './PlanController'
import WordPressDistributionController from './WordPressDistributionController'
import ImpersonateController from './ImpersonateController'
import JobController from './JobController'
import KanbanBoardController from './KanbanBoardController'
import ChangelogController from './ChangelogController'
import SystemController from './SystemController'
import CronWorkerController from './CronWorkerController'

const Platform = {
    DashboardController: Object.assign(DashboardController, DashboardController),
    WorkspaceController: Object.assign(WorkspaceController, WorkspaceController),
    UserController: Object.assign(UserController, UserController),
    AgentController: Object.assign(AgentController, AgentController),
    ConversationController: Object.assign(ConversationController, ConversationController),
    LeadController: Object.assign(LeadController, LeadController),
    SearchController: Object.assign(SearchController, SearchController),
    UsageController: Object.assign(UsageController, UsageController),
    SubscriptionController: Object.assign(SubscriptionController, SubscriptionController),
    PlanController: Object.assign(PlanController, PlanController),
    WordPressDistributionController: Object.assign(WordPressDistributionController, WordPressDistributionController),
    ImpersonateController: Object.assign(ImpersonateController, ImpersonateController),
    JobController: Object.assign(JobController, JobController),
    KanbanBoardController: Object.assign(KanbanBoardController, KanbanBoardController),
    ChangelogController: Object.assign(ChangelogController, ChangelogController),
    SystemController: Object.assign(SystemController, SystemController),
    CronWorkerController: Object.assign(CronWorkerController, CronWorkerController),
}

export default Platform